import java.awt.Color;
import java.awt.Panel;
import java.awt.Graphics;

public class MultiBallWorldPanel extends Panel        //*****
{
    private static final int FrameWidth  = 600;
    private static final int FrameHeight = 400;
    private static final int Iterations  = 2000;
    
    private BoundedBall[] ballArray;
    private int           arraySize;
    private int           counter;

    public MultiBallWorldPanel( int numberOfBalls )     //*****
    {
        super();

        setSize ( FrameWidth, FrameHeight );
        //setTitle( "Ball World" );                   //*****

        arraySize = numberOfBalls;
        ballArray = new BoundedBall[ arraySize ];
        for (int i = 0; i < arraySize; i++)
        {
            ballArray[i] = new BoundedBall( 10, 15, 5, 3.0+i, 6.0-i, this );
            ballArray[i].become( Color.blue );
        }
        counter = 0;
    }

    public void paint( Graphics g )
    {
        for (int i = 0; i < arraySize; i++)
        {
            ballArray[i].paint( g );
            ballArray[i].move();
        }

        // try { Thread.sleep( 2000 ); } catch (InterruptedException e) { System.exit( -1 ); }

        counter = counter + 1;
        if ( counter < Iterations )
            repaint();
        else
            System.exit( 0 );
    }
}
